<script setup lang="ts">
import AdminHeader from "@/components/admin/layouts/Header.vue";
import AdminMain from "@/components/admin/layouts/Main.vue";
import AdminSide from "@/components/admin/layouts/Side.vue";
import authQuery from "@/queries/auth";
import useAuthUserStore from "@/stores/auth-user";
import { useQuery } from "@tanstack/vue-query";
import { ElContainer } from "element-plus";
import { watchEffect } from "vue";

const { data } = useQuery(authQuery.view);
const { setAuthUser } = useAuthUserStore();
watchEffect(() => setAuthUser(data.value));
</script>
<template>
  <el-container>
    <admin-side />
    <el-container direction="vertical">
      <admin-header />
      <admin-main />
    </el-container>
  </el-container>
</template>
